Page MenuHomeFreeBSD

net/freerdp: Update to 2.0.0 pre-release (GitHub as of 2016.11.24)
ClosedPublic

Authored by woodsb02 on Dec 4 2016, 4:33 PM.

Details

Summary

net/freerdp: Update to 2.0.0 pre-release (GitHub as of 2016.11.24)

  • This update brings in the latest 2 years of work on the FreeRDP project, which has had a long time between tagging releases.
  • Remove DIRECTFB option, as it no longer compiles, and gets little upstream maintenance
  • Use NEON on aarch64, and optionally on armv6
  • Mark as broken on armv6 on FreeBSD 11.0-RELEASE and early versions of 12.0-CURRENT
  • Fix issue with X11_USE=xorg= being truncated due to whitespace as it wrapped over multiple lines

net/freerdp1:

  • create new port based on previous net/freerdp 1.2.0, as it is required by net/guacamole-server

net/vinagre:

  • patch to work with the new version of net/freerdp 2.0.0

net/guacamole-server:

  • patch to work with net/freerdp1

PR: 212004
PR: 214956
Reported by: John Hein <z7dr6ut7gs@snkmail.com>
Submitted by: Kyle Evans (maintainer)
Approved by: x (mentor)

Test Plan

poudriere testport: ok for net/freerdp, net/freerdp1, net/vinagre, net/guacamole-server (on 12amd64 and 9i386)
portlint: no errors, no new warnings introduced

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

woodsb02 updated this revision to Diff 22704.Dec 4 2016, 4:33 PM
woodsb02 retitled this revision from to net/freerdp: Update to 2.0.0 pre-release (GitHub as of 2016.11.24).
woodsb02 updated this object.
woodsb02 edited the test plan for this revision. (Show Details)
woodsb02 set the repository for this revision to rP FreeBSD ports repository.

Note that Fedora also distributes FreeRDP 2.0.0 pre-release:
https://apps.fedoraproject.org/packages/freerdp/

kevans accepted this revision.Dec 4 2016, 4:58 PM
kevans edited edge metadata.
This revision is now accepted and ready to land.Dec 4 2016, 4:58 PM
mikael edited edge metadata.Dec 5 2016, 8:39 AM

Can we add this line in freerdp?
OPTIONS_EXCLUDE_armv6= SSE

net/vinagre/files/patch-plugins_rdp_vinagre-rdp-tab.c
60 ↗(On Diff #22704)

I found I patched this function wrongly before ... PIXEL_FORMAT_ARGB32 cannot be used to detect the API change because it is available in older versions.

Correct patch:

@@ -591,11 +591,15 @@ frdp_post_connect (freerdp *instance)
 #if defined(FREERDP_VERSION_MAJOR) && defined(FREERDP_VERSION_MINOR) && \
     !(FREERDP_VERSION_MAJOR > 1 || (FREERDP_VERSION_MAJOR == 1 && \
     FREERDP_VERSION_MINOR >= 2))
-                    CLRBUF_24BPP,
+                    CLRBUF_24BPP, NULL
 #else
-                    CLRBUF_32BPP,
+#ifdef CLRBUF_32BPP
+                    CLRBUF_32BPP, NULL
+#else
+                    PIXEL_FORMAT_BGRA32
+#endif
 #endif
-                    NULL);
+                    );
   gdi = instance->context->gdi;
 
   instance->update->BeginPaint = frdp_begin_paint;
woodsb02 updated this revision to Diff 22717.Dec 5 2016, 1:56 PM
woodsb02 edited edge metadata.
  • net/freerdp/Makefile: Add OPTIONS_EXCLUDE_armv6=SSE as per Mikael's request
  • net/vinagre/files/patch-plugins_rdp_vinagre-rdp-tab.c: Fix patch as per Ting-Wei's request
This revision now requires review to proceed.Dec 5 2016, 1:56 PM
woodsb02 marked an inline comment as done.Dec 5 2016, 1:59 PM
mikael accepted this revision.Dec 5 2016, 2:09 PM
mikael edited edge metadata.
This revision is now accepted and ready to land.Dec 5 2016, 2:09 PM
adamw added inline comments.Dec 8 2016, 9:27 PM
net/freerdp/pkg-plist
204 ↗(On Diff #22717)

I'm not sure those cmake files are in the right place. Shouldn't it be share/cmake/Modules/?

woodsb02 added inline comments.Dec 10 2016, 9:55 AM
net/freerdp/pkg-plist
204 ↗(On Diff #22717)

I think you might be right, so I will submit a fix shortly. However, I have noticed that a bunch of other ports do install .cmake files into lib/cmake/:

$ ls -l /usr/local/lib/cmake/
drwxr-xr-x  2 root  wheel   6 Dec  4 11:55 FreeRDP-Client2
drwxr-xr-x  2 root  wheel   6 Dec  4 11:55 FreeRDP2
drwxr-xr-x  2 root  wheel   6 Dec  4 09:59 LibIcal
drwxr-xr-x  2 root  wheel   4 Dec  4 11:55 PulseAudio
drwxr-xr-x  2 root  wheel   4 Dec  4 09:57 Qt5
drwxr-xr-x  2 root  wheel   8 Dec  4 09:57 Qt5Core
drwxr-xr-x  2 root  wheel   6 Dec  4 09:57 Qt5DBus
drwxr-xr-x  2 root  wheel  16 Dec  4 09:57 Qt5Gui
drwxr-xr-x  2 root  wheel   5 Dec  4 09:57 Qt5Help
drwxr-xr-x  2 root  wheel   5 Dec  4 09:57 Qt5Network
drwxr-xr-x  2 root  wheel   4 Dec  4 09:59 Qt5OpenGL
drwxr-xr-x  2 root  wheel   4 Dec  4 09:57 Qt5OpenGLExtensions
drwxr-xr-x  2 root  wheel   5 Dec  4 09:59 Qt5PrintSupport
drwxr-xr-x  2 root  wheel  12 Dec  4 09:59 Qt5Qml
drwxr-xr-x  2 root  wheel   4 Dec  4 09:59 Qt5Quick
drwxr-xr-x  2 root  wheel   4 Dec  4 09:59 Qt5QuickTest
drwxr-xr-x  2 root  wheel   4 Dec  4 09:59 Qt5QuickWidgets
drwxr-xr-x  2 root  wheel   5 Dec  4 09:57 Qt5Sql
drwxr-xr-x  2 root  wheel   5 Dec  4 09:57 Qt5Test
drwxr-xr-x  2 root  wheel   4 Dec  4 09:59 Qt5WebKit
drwxr-xr-x  2 root  wheel   4 Dec  4 09:59 Qt5WebKitWidgets
drwxr-xr-x  2 root  wheel   6 Dec  4 09:57 Qt5Widgets
drwxr-xr-x  2 root  wheel   4 Dec  4 09:57 Qt5XmlPatterns
drwxr-xr-x  2 root  wheel   6 Dec  4 11:55 WinPR2
drwxr-xr-x  2 root  wheel   6 Dec  4 09:59 dbusmenu-qt5
drwxr-xr-x  3 root  wheel   3 Dec  4 12:16 libssh
drwxr-xr-x  2 root  wheel   3 Dec  4 09:56 libxml2
drwxr-xr-x  2 root  wheel  10 Dec  4 09:59 phonon4qt5
woodsb02 updated this revision to Diff 22807.Dec 11 2016, 3:48 AM
woodsb02 edited edge metadata.
  • Move .cmake files to share/cmake/Modules/ (for both net/freerdp and net/freerdp1)
This revision now requires review to proceed.Dec 11 2016, 3:48 AM
woodsb02 marked 2 inline comments as done.Dec 11 2016, 3:51 AM
adamw accepted this revision.Dec 11 2016, 4:15 AM
adamw edited edge metadata.

Thanks, Ben, good work on this.

This revision is now accepted and ready to land.Dec 11 2016, 4:15 AM
This revision was automatically updated to reflect the committed changes.